c#如何调用AutoCAD命令,让用户输入参数?
<p>c#如何调用AutoCAD命令,让用户输入参数?</p><p>如使用pedit命令,需要选择是否转换多义线?</p><p>选择合并中,Y和J这两个参数都需要从命令行输入,C#程序如何实现呢?谢谢!</p> <p>以下是我的程序中的一段,应该能回答楼上的问题吧,不知道对楼上的有没有帮助。</p><p> Database db = HostApplicationServices.WorkingDatabase;<br/> Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;<br/> PromptDoubleOptions SourceOptions = new PromptDoubleOptions("\n请输入原中央经线");<br/> SourceOptions.DefaultValue = 123;<br/> PromptDoubleOptions DestinationOptions = new PromptDoubleOptions("\n请输入转换后中央经线");<br/> DestinationOptions.DefaultValue = 121.30;<br/> PromptResult GeoEllip = ed.GetKeywords("\n椭球体选择:1.WGS-84 2.Krassovsky",new string[]{"1","2"});<br/> if(GeoEllip.Status != PromptStatus.OK) return;<br/> PromptDoubleResult SourceCL = ed.GetDouble(SourceOptions);<br/> if(SourceCL.Status != PromptStatus.OK) return;<br/> PromptDoubleResult DestinationCL = ed.GetDouble(DestinationOptions);<br/> if(DestinationCL.Status != PromptStatus.OK) return;<br/> ed.WriteMessage("\n开始坐标换带,请稍候。");<br/> Transaction trans = db.TransactionManager.StartTransaction();<br/> BlockTableRecord btr = (BlockTableRecord)trans.GetObject(db.CurrentSpaceId,OpenMode.ForRead);<br/></p> 本帖最后由 作者 于 2007-4-13 16:11:59 编辑感谢楼上meworld分享代码!能单独说明一下调用CAD中命令的实例吗?比如sendStringToExecute的用法?谢谢! <p>怎样用C#调用Addhacth()函数</p><p></p> 向2楼的多多学习!!!以后多多交流啊!!!! 唔 没看懂...是不是没有发完呢..<div>怎么用C# api 发送 CAD命令 并且带参数呀..</div> <font face="Verdana">http://bbs.mjtd.com/forum.php?mod=viewthread&tid=78074</font>
页:
[1]